<%@ page language="java" %>
<%@ page import="java.util.Vector, java.util.Collection, hero.interfaces.BnRoleLocal, java.util.Iterator" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>

<jsp:useBean id="node" scope="session" class="hero.util.StrutsNodeValue"/>
<jsp:useBean id="project" scope="session" class="hero.interfaces.ProjectSessionLocal"/>

<%
      Vector roles = new Vector();

      Collection pRoles = project.getRoles();
      Iterator iproles = pRoles.iterator();
      while(iproles.hasNext())
      {
        BnRoleLocal actualpRole = (BnRoleLocal)iproles.next();
        roles.add(actualpRole.getName());
      }
      pageContext.setAttribute("roles", roles);

    Vector ant = new Vector();
    ant.add("true");
    ant.add("false");
    pageContext.setAttribute("ant", ant);

    Vector events = new Vector();
    events.add("beforeStart");
    events.add("afterStart");
    events.add("beforeTerminate");
    events.add("afterTerminate");
    events.add("anticipate");
    events.add("onCancel");
    pageContext.setAttribute("events", events);

    Vector types = new Vector();
    types.add("Java");
    types.add("Tcl");
    types.add("BeanShell");
    pageContext.setAttribute("types", types);

    Vector types2 = new Vector();
    types2.add("InteractionBS");
    pageContext.setAttribute("types2", types2);

    Vector properties = new Vector(project.getNodeProperties(node.getName()));
    Vector hooks = new Vector(project.getNodeHooks(node.getName()));
    Vector interhooks = new Vector(project.getNodeInterHooks(node.getName()));
    pageContext.setAttribute("properties", properties);
    pageContext.setAttribute("hooks", hooks);
    pageContext.setAttribute("interhooks", interhooks);
%>

<html>

<head>
<layout:skin/>
<script src="../config/javascript.js"></script>
</head>
<body>
<table cellpadding="2" cellspacing="2" border="0" width="800" align="center" class="viewer">
<tr valign="Top">
<td width="400" align="center">

<layout:form action="/protected/activity.action?action=Add" key="activity" align="center" styleClass="FORM">

  <layout:text key="prompt.project" name="node" property="projectName" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.activity" name="node" property="name" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.creator" name="node" property="creator" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.state" name="node" property="state" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.type" name="node" property="type" styleClass="LABEL" mode="E,I,N"/>
  <layout:text key="prompt.executor" name="node" property="executor" styleClass="LABEL" mode="E,I,N"/>

  <layout:select key="prompt.role" property="role" styleClass="LABEL">
       <layout:options collection="roles"/>
  </layout:select>

  <layout:textarea key="prompt.description" name="node" property="description" styleClass="LABEL" mode="E,E,E" rows="5" size="25" maxlength="50"/>
  
   <layout:radios key="prompt.anticipable" name="node" property="anticipable" styleClass="LABEL">
    <layout:options collection="ant"/>
   </layout:radios>
   
  <layout:submit><bean:message key="activity.change"/></layout:submit>
  <layout:date key="prompt.deadline" name="node" property="deadline" styleClass="LABEL" mode="E,E,E"/>

</layout:form>

<html:errors property="activity_error"/>

<H4 align="left"><u><bean:message key="activity.properties"/></u></H4>
<% if (((Vector)pageContext.findAttribute("properties")).size() == 0) {%>
<bean:message key="properties.notexist"/>
<%}else{%>
<table class="viewer" align="left">
   <tr bgcolor="#3333CC">
      <td><b class="projet">Name</b>
      </td>
      <td><b class="projet">Value</b>
      </td>
      <td align="center"><b class="projet">Action</b>
      </td>
   </tr>
   <c:forEach items="${properties}" var="prope">
      <tr>
         <td>
         <c:out value="${prope.theKey}"/>
         </td>
         <td>
        <c:out value="${prope.theValue}"/>
         </td>
         <td>
            <table>
               <td>
                  <a href="property.action?propertyAction=DeleteNode&key=<c:out value="${prope.theKey}"/>"  onclick="return confirm('Really delete file?');" class="viewer">remove</a>
               </td>
               <td>
                  <a href="property.action?propertyAction=EditNodeProp&key=<c:out value="${prope.theKey}"/>" class="viewer">edit</a>
               </td>
            </table>
         </td>
      </tr>
   </c:forEach>
</table>

<%}%>
<br>
<br>

</td>
<td witdh="400" align="left">
<table cellpadding="2" cellspacing="2" border="0" width="100%" align="left" class="viewer">
<tr valign="Top">
<td align="left">


</td></tr>

<tr><td>

<H4><u><bean:message key="activity.interhooks"/></u></H4>

<% if (((Collection)pageContext.findAttribute("interhooks")).size() == 0) {%>
<bean:message key="hooks.notexist"/>
<%}else{%>
<table class="viewer">
   <tr bgcolor="#3333CC">
      <td><b class="projet">Name</b>
      </td>
      <td><b class="projet">Event</b>
      </td>
      <td><b class="projet">Type</b>
      </td>
      <td><b class="projet">Script</b>
      </td>
      <td><b class="projet">Action</b>
      </td>
   </tr>
   <c:forEach items="${interhooks}" var="intho">
      <tr>
         <td>
         <c:out value="${intho.name}"/>
         </td>
         <td>
        <c:out value="${intho.event}"/>
         </td>
         <td>
         <c:out value="${intho.type}"/>
         </td> 
	 <td>
         <c:out value="${intho.script}"/>
         </td>
<td><table><td>
         <a href="hook.action?hookAction=DeleteNode&name=<c:out value="${intho.name}"/>"  onclick="return confirm('Really delete file?');" class="viewer">remove</a></td>
           <td>
               <a href="hook.action?hookAction=editScript&name=<c:out value="${intho.name}"/>" class="viewer">edit</a>
            </td></table></td>
      </tr>
   </c:forEach><tr>
</table>
<%}%>

<br>
<br>
</td></tr>
<tr><td>

<layout:html locale="true" key="activity.action" styleClass="FORM">
<% 
   if ((pageContext.getRequest()).getParameter("propertyAction") != null && (((pageContext.getRequest()).getParameter("propertyAction")).equals("EditNode") || ((pageContext.getRequest()).getParameter("propertyAction")).equals("EditNodeProp"))) 
   {
      
%> 

<c:choose>
<c:when test="${prop==1}">
<Form method="POST" action="/bonita/protected/property.action?propertyAction=AddNode" class="FORM">
<table><tr><td>key : </td><td><input type="text" name="key" value="<c:out value="${PROP.key}"/>"readonly></td></tr>
<tr><td>value : </td><td><input type="text" name="value" value="<c:out value="${PROP.value}"/>"></td></tr>
<tr><td><input type="submit" value="submit"></td></tr></table>
</Form>
</c:when>
<c:otherwise>
<Form method="POST" action="/bonita/protected/property.action?propertyAction=AddNode" class="FORM">
<table><tr><td>key : </td><td><input type="text" name="key" value=""</td></tr>
<tr><td>value : </td><td><input type="text" name="value" value=""></td></tr>
<tr><td><input type="submit" value="submit"></td></tr></table>
</Form>
</c:otherwise>
</c:choose>


<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && ((pageContext.getRequest()).getParameter("hookAction")).equals("EditNode2"))
   {
%> <layout:form action="/protected/hook.action?hookAction=AddNode2" focus="name" styleClass="FORM" key="hook" align="center">

  <layout:text key="prompt.hookName" property="name" size="20" maxlength="30" styleClass="LABEL" mode="E,E,E"/>

   <layout:select key="prompt.event" property="event" styleClass="LABEL">
        <layout:options collection="events"/>
   </layout:select>

   <layout:select key="prompt.type" property="type" styleClass="LABEL">
        <layout:options collection="types2"/>
   </layout:select>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

 </layout:form>

<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && (pageContext.findAttribute("inter")).equals("true"))
   {
%> <layout:form action="/protected/hook.action?hookAction=AddNodeHook" focus="name" styleClass="FORM" key="hook" align="center">

  <layout:textarea key="prompt.script" property="value" styleClass="LABEL" mode="E,E,E" rows="10" size="40" maxlength="50"/>

  <layout:formActions>
      <layout:submit property="submit" value="Submit"/>
      <layout:cancel/>
  </layout:formActions>

 </layout:form>

<%}else if ((pageContext.getRequest()).getParameter("hookAction") != null && (pageContext.getRequest()).getParameter("hookAction").equals("editScript"))
   {
%> 
<Form method="POST" action="/bonita/protected/hook.action?hookAction=addEditScript" class="FORM">
<table><!--<tr><td>key : </td><td><input type="text" name="key" value="<c:out value="${PROP.key}"/>"readonly></td></tr>-->
<tr><td>script :</td><td><textarea type="textarea" rows="15" name="value" cols="40"><c:out value="${scri}"/></textarea></td></tr>
<tr><td><input type="submit" value="submit"></td></tr></table>
</Form>
<%}else{%>

<table cellpadding="2" cellspacing="2" border="0" align="Center" class="viewer">
<tbody>
<tr valign="Top">
<td valign="Top" width="135" align="Center">
<a href="property.action?propertyAction=EditNode" style="text-decoration: none;" class="viewer"><bean:message key="property.add"/></a><br>
</td>

<td valign="Top" width="130" align="Center"><a href="hook.action?hookAction=EditNode2" style="text-decoration: none;" class="viewer"><bean:message key="hookInter.add"/></a><br>
</td>
</tr>
</tbody>
<%}%>
</td></tr>
</table>
</layout:html>
<html:errors property="hook_error"/>
<html:errors property="property_error"/>
</td></tr>
</table>
</td></tr>

<tr><td>
<table cellpadding="2" cellspacing="2" border="0" align="left">
<tbody>
<tr valign="Top">
<td valign="Top" align="left">
<a href="activity.action?action=viewactivity" style="text-decoration: none;" class="viewer"><bean:message key="activity.viewmode"/></a>
</td></tr>
</table>
</td></tr>
</table>


</body>
</html>
