<%
// ViewActivity.jsp - 
// Copyright (C) 2003 Ecoo Team
// Miguel Valdes Faura
// valdes@loria.fr 
%>

<%@ page import="java.util.Collection, java.util.Vector, hero.util.StrutsNodeValue" %>
<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-layout.tld" prefix="layout" %>

<jsp:useBean id="node" scope="session" class="hero.util.StrutsNodeValue"/>
<jsp:useBean id="project" scope="session" class="hero.interfaces.ProjectSessionLocal"/>

<%
    Vector edges = new Vector(project.getStrutsNodeEdges(node.getName()));
    pageContext.setAttribute("edges", edges);
%>
<table border="0"><tr><td>
   <layout:html locale="true" key="activity" styleClass="FORM">
   <table cellpadding="2" cellspacing="2" border="0" width="325" align="left" class="viewer">
      <tbody>
         <tr valign="Top">
            <td>
                <layout:text key="prompt.project" name="node" property="projectName" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.activity" name="node" property="name" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.creator" name="node" property="creator" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.state" name="node" property="state" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.type" name="node" property="type" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.role" name="node" property="role" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.executor" name="node" property="executor" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.deadline" name="node" property="deadline" styleClass="LABEL" mode="E,I,N"/>
                <layout:text key="prompt.anticipable" name="node" property="anticipable" styleClass="LABEL" mode="E,I,N"/>
                <layout:textarea key="prompt.description" name="node" property="description" styleClass="LABEL" mode="E,I,I" maxlength="50"/>
             </td>
          </tr>
       <tbody>
    </table>
    </layout:html>
    </td>
    <td valign="top">
       <table align="left" class="viewer">
          <tbody>
             <tr>
             <td align="left">
                <H4><u><bean:message key="activity.edges"/></u></H4>
                <tr>
                   <td>
                      <table class="viewer" width="500">
                         <tr bgcolor="#3333CC">
                            <td><b class="projet"><bean:message key="activity.state"/></b>
                            </td>
                            <td><b class="projet"><bean:message key="activity.nodein"/></b>
                            </td>
                            <td><b class="projet"><bean:message key="activity.nodeout"/></b>
                            </td>
                         </tr>
                         <c:forEach items="${edges}" var="edge">
                            <tr>
                               <td>
                                  <c:out value="${edge.state}"/><a>
                               </td>
                               <td>
                                  <a href="node.action?nodeAction=Activity&nodename=<c:out value="${edge.inNode}"/>" class="viewer"><c:out value="${edge.inNode}"/></a>
                               </td>
	                       <td>
                               <a href="node.action?nodeAction=Activity&nodename=<c:out value="${edge.outNode}"/>" class="viewer"><c:out value="${edge.outNode}"/></a>
                               </td>
                            </tr>
                         </c:forEach>
                      </table>
                   </td>
                </tr>
                </table>
                <tr><td>&nbsp;</td></tr>
                <tr><td>  
                      <a href="activity.action?action=editactivity" class="viewer"><bean:message key="activity.editmode"/></a>
                  
               
          </td>
       </tr>
</table>
